| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# StatEntity.cpp File Reference

## Detailed Description

Implementation file for class StatEntity.

Date:
  26/06/2001

Author:
  Vanya BELYAEV Ivan.Belyaev@itep.ru

Definition in file StatEntity.cpp.

`#include <iostream>`
`#include <sstream>`
`#include <string>`
`#include <cmath>`
`#include <limits>`
`#include "GaudiKernel/StatEntity.h"`
`#include "boost/format.hpp"`
`#include "boost/static_assert.hpp"`
`#include "boost/algorithm/string/case_conv.hpp"`

Include dependency graph for StatEntity.cpp:

Go to the source code of this file.

## Defines
#define | GAUDIKERNEL_STATENTITY_CPP 1
## Functions
StatEntity | operator+ (const StatEntity &entity, const double value)
| external operator for addition of StatEntity and a number
StatEntity | operator+ (const double value, const StatEntity &entity)
| external operator for addition of StatEntity and a number
StatEntity | operator- (const StatEntity &entity, const double value)
| external operator for subtraction of StatEntity and a number
StatEntity | operator+ (const StatEntity &entity, const StatEntity &value)
| external operator for addition of StatEntity and a number
std::ostream & | operator<< (std::ostream &stream, const StatEntity &entity)
| external printout operator to std::ostream
bool | effCounter (const std::string &name)
| simple function which checks the presence of "efficicncy"/"accepted" in the given string:
std::string | Gaudi::Utils::formatAsTableRow (const StatEntity &counter, const bool flag, const std::string &format1, const std::string &format2)
| print the counter in a form of the table row
std::string | Gaudi::Utils::formatAsTableRow (const std::string &name, const StatEntity &counter, const bool flag, const std::string &format1, const std::string &format2)
| print the counter in a form of the table row
std::string | Gaudi::Utils::formatAsTableRow (const std::string &name, const std::string &group, const StatEntity &counter, const bool flag, const std::string &format1, const std::string &format2)
| print the counter in a form of the table row

## Define Documentation

#define GAUDIKERNEL_STATENTITY_CPP 1

Definition at line 5 of file StatEntity.cpp.

## Function Documentation

bool @429::effCounter | ( | const std::string & | name | ) | `[inline, static]`

simple function which checks the presence of "efficicncy"/"accepted" in the given string:

Parameters:

  | name | input string

Returns:
  true if the name "compatible" with efficiciency or acceptance

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2007-09-11

Definition at line 268 of file StatEntity.cpp.

References std::basic_string< _CharT, _Traits, _Alloc >::find(), name, and std::basic_string< _CharT, _Traits, _Alloc >::npos.

Referenced by Gaudi::Utils::formatAsTableRow().

    00269   {
    00270     const std::string lower  =  boost::algorithm::to_lower_copy( name ) ;
    00271     return
    00272       std::string::npos != lower.find ( "eff"  ) ||
    00273       std::string::npos != lower.find ( "acc"  ) ||
    00274       std::string::npos != lower.find ( "filt" ) ||
    00275       std::string::npos != lower.find ( "fltr" ) ||
    00276       std::string::npos != lower.find ( "pass" )  ;
    00277   }

StatEntity operator+ | ( | const StatEntity & | entity,
|  | const StatEntity & | value |
| ) |  |  |

external operator for addition of StatEntity and a number

Definition at line 250 of file StatEntity.cpp.

    00251 { StatEntity aux ( entity ) ; return aux+=value ; }

StatEntity operator+ | ( | const double | value,
|  | const StatEntity & | entity |
| ) |  |  |

external operator for addition of StatEntity and a number

Definition at line 240 of file StatEntity.cpp.

    00241 { return entity + value ; }

StatEntity operator+ | ( | const StatEntity & | entity,
|  | const double | value |
| ) |  |  |

external operator for addition of StatEntity and a number

Definition at line 235 of file StatEntity.cpp.

    00236 { StatEntity aux ( entity ) ; return aux+=value ; }

StatEntity operator- | ( | const StatEntity & | entity,
|  | const double | value |
| ) |  |  |

external operator for subtraction of StatEntity and a number

Definition at line 245 of file StatEntity.cpp.

    00246 { StatEntity aux ( entity ) ; return aux-=value ; }

std::ostream& operator<< | ( | std::ostream & | stream,
|  | const StatEntity & | entity |
| ) |  |  |

external printout operator to std::ostream

Definition at line 255 of file StatEntity.cpp.

References StatEntity::print().

    00256 { return entity.print ( stream ) ; }